CBLKT1(3)

SYNOPSIS
SUBROUTINE CBLKT1 (N, AN, BN, CN, M, AM, BM, CM, IDIMY, Y, B, W1, + W2, W3, WD, WW, WU, PRDCT, CPRDCT)

NAME
cblkt1 - Subsidiary to CBLKTR

LIBRARY
SLATEC

TYPE
COMPLEX (BLKTR1-S, CBLKT1-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
CBLKT1 solves the linear system of routine CBLKTR. B contains the roots of all the B polynomials. W1,W2,W3,WD,WW,WU are all working arrays. PRDCT is either PROCP or PROC depending on whether the boundary conditions in the M direction are periodic or not. CPRDCT is either CPROCP or CPROC which are called if some of the zeros of the B polynomials are complex.

SEE ALSO
CBLKTR

ROUTINES CALLED
INXCA, INXCB, INXCC

COMMON BLOCKS
CCBLK

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)